package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag767;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT767Creator;

public class TagB23BCreator extends AbsTagCreate {
    private MT767Creator mt767Creator;

    public TagB23BCreator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        mt767Creator = (MT767Creator) absMTCreator;
    }

    @Override
    public void creator() {
        String tagB23BValue = mt767Creator.getExpiryTypeOfB();
        mt767Creator.set("23B", tagB23BValue);
    }
}

